using System;

namespace TAKMICENJE_NESUSEDNI
{
    class Program
    {
        static void Main(string[] args)
        {
            char[] slova = Console.ReadLine().ToCharArray();
            string[] broj = Console.ReadLine().Split();
            long a1 = long.Parse(broj[0]);
            long a2 = long.Parse(broj[1]);
            if (a1 == a2)
                for (int i = 0; i < a1; i++)
                    Console.Write(slova[0] + "" + slova[1]);
            else if (a1 - 1 == a2)
            {
                for (int i = 0; i < a2; i++)
                    Console.Write(slova[0] + "" + slova[1]);
                Console.Write(slova[0]);
            }
            else if (a1 == a2 - 1)
            {
                Console.Write(slova[1]);
                for (int i = 0; i < a1; i++)
                    Console.Write(slova[0] + "" + slova[1]);
            }
            else
                Console.WriteLine("nemoguce");
        }
    }
}